<?php
$p = new Page('');
$p->addMenu('public');
$p->setPageDescr("Permetti ai tuoi cittadini di usufruire direttamente online dei tuoi Servizi, come Scuolabus, Mensa, Pre e Post scuola, o creane di personalizzati.");
$p->addCss('public');
$p->printHeader();
?>

<h2 class="page-title">I servizi del tuo Ente direttamente Online, in modo facile e sicuro.</h2>

<div class="row">
	<div class="col-sm-6 col-main">
    	<h3 class="ico-home ico-online">Completamente Online</h3>
		&Egrave; ormai un requisito fondamentale e indispensabile, per un Ente, permettere ai propri cittadini di accedere velocemente, da ogni luogo e con ogni dispositivo, ai propri servizi.
    </div>
    <div class="col-sm-6 ico-home ico-online"></div>
</div>

<div class="row">
	<div class="col-sm-6 ico-home ico-mobile"></div>
    <div class="col-sm-6 col-main">
    	<h3 class="ico-home ico-mobile">Ottimizzato per Smartphone e Tablet</h3>
        Il portale riconosce automaticamente i dispositivi Mobile e permette di utilizzare i servizi come se fossero una semplice App!
    </div>
</div>

<div class="row">
	<div class="col-sm-6 col-main">
    	<h3 class="ico-home ico-sms">Comunicazioni tempestive tramite SMS</h3>
        Se improvvisamente il servizio non &egrave; disponibile, se avvengono cambiamenti o novit&agrave;, un SMS avviser&agrave; immediatamente i cittadini del servizio interessato.
    </div>
    <div class="col-sm-6 ico-home ico-sms"></div>
</div>

<div class="row">
    <div class="col-sm-6 ico-home ico-easy"></div>
	<div class="col-sm-6 col-main">
    	<h3 class="ico-home ico-easy">Estremamente facile</h3>
        Sia per il Cittadino che per il personale dell'Ente, abbiamo creato un'interfaccia semplice e chiara, senza inutili complicazioni, facile da comprendere ed utilizzare.
    </div>
</div>

<div class="row">
	<div class="col-sm-6 col-main">
    	<h3 class="ico-home ico-modular">Modulare e personalizzabile</h3>
		Si pu&ograve; scegliere quali servizi includere, in qualsiasi momento, fra i moduli gi&agrave; disponibili, oppure lo creiamo su misura.
    </div>
    <div class="col-sm-6 ico-home ico-modular"></div>
</div>


<br /> <br />
<center>
<a class="btn btn-lg btn-info" href="servizi.html" title="I Servizi">Scopri i servizi nel dettaglio <span class="glyphicon glyphicon-chevron-right"></span></a>
</center>

<?php $p->printFooter(); ?>
