var isMobile;

$(function(){
	isMobile = detectBro();
	
	//modal
	$('body').on('click','[data-open="modal"]',function(e){
		dialog($(this).attr('data-url'),$(this).attr('data-small'));
		e.preventDefault();
		return false;
	}).on('hidden.bs.modal', '.modal', function() {
		$(this).remove();
		$('body').data( 'fv_open_modals', $('body').data( 'fv_open_modals' ) - 1 );
		if($('.modal').length == 0)
			$('body').removeClass('body-modal');
		
		$("body select").css('visibility','visible'); //mobile hack
		
	}).on('shown.bs.modal', '.modal', function() {
		$('body').addClass('body-modal');
		initScripts();

		if(isMobile){
			$('.modal').addClass('modal-mobile');
			myScroll = new IScroll('.modal', {
				mouseWheel: true,
				scrollbars: false
			});
			
		}
		if ( typeof( $('body').data( 'fv_open_modals' ) ) == 'undefined' )
			$('body').data( 'fv_open_modals', 0 );

		if ( $(this).hasClass( 'fv-modal-stack' ) )
			return;
		
		$(this).addClass( 'fv-modal-stack' );
		$('body').data( 'fv_open_modals', $('body').data( 'fv_open_modals' ) + 1 );
		$(this).css('z-index', 1040 + (10 * $('body').data( 'fv_open_modals' )));
		$( '.modal-backdrop' ).not( '.fv-modal-stack' ).css( 'z-index', 1039 + (10 * $('body').data( 'fv_open_modals' )));
		$( '.modal-backdrop' ).not( 'fv-modal-stack' ).addClass( 'fv-modal-stack' ); 

	}).on('click','[data-aj]',function(e){
		get($(this).attr('data-aj'),$(this).attr('data-dest'));
	})
	
	$('.stop-prop').click(function(e) {
		e.stopPropagation();
		return false;    
    });
	
	initScripts()
});

function initScripts(){

	//select
	var nua = navigator.userAgent
	var isAndroid = (nua.indexOf('Mozilla/5.0') > -1 && nua.indexOf('Android ') > -1 && nua.indexOf('AppleWebKit') > -1 && nua.indexOf('Chrome') === -1)
	if (isAndroid) {
		$('select.form-control').removeClass('form-control').css('width', '100%')
	}
	
	
	$('input').attr('autocomplete','off');
	
	$.fn.bootstrapSwitch.defaults.onText = 'SI';
	$.fn.bootstrapSwitch.defaults.offText = 'NO';
	$(".switch-btn").bootstrapSwitch();
	
	//file upload
	$(document).on('change', '.btn-file :file', function() {
		var input = $(this),
		numFiles = input.get(0).files ? input.get(0).files.length : 1,
		label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
		input.trigger('fileselect', [numFiles, label]);
	});
	$('.btn-file :file').on('fileselect', function(event, numFiles, label) {
		var input = $(this).parents('.input-group').find(':text');
		input.val(label);
	});
	
}




function detectBro(){
	var N= navigator.appName, ua= navigator.userAgent, tem;
	var M= ua.match(/(opera|chrome|safari|firefox|msie)\/?\s*(\.?\d+(\.\d+)*)/i);
	if(M && (tem= ua.match(/cur_version\/([\.\d]+)/i))!= null) M[2]= tem[1];
	M= M? [M[1], M[2]]: [N, navigator.appVersion,'-?'];
	
	cur_browser = M[0].toLowerCase();
	cur_version = parseFloat(M[1]);

	//obsolete, redirect			
	if (
		cur_browser == 'opera' && cur_version < 9 || 
		cur_browser == 'chrome' && cur_version < 5 || 
		cur_browser == 'safari' && cur_version < 4 || 
		cur_browser == 'firefox' && cur_version < 4 || 
		cur_browser == 'msie' && cur_version < 8
	){
		window.location="/obsolete.html";
	}


	var check = false;
	(function(a){if(/(android|bb\d+|meego|ipad|playbook|silk).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(a)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0,4)))check = true})(navigator.userAgent||navigator.vendor||window.opera);

	//ie mobile 10
	if (cur_browser == 'iemobile' && cur_version==10.0) {
	  var msViewportStyle = document.createElement('style')
	  msViewportStyle.appendChild(document.createTextNode('@-ms-viewport{width:auto!important}'))
	  document.querySelector('head').appendChild(msViewportStyle)
	}


	return check;
}

function alert(str){
	var $dialog = getBaseDialog(1);
	
	var $b = $( 
	'<div class="modal-body">'+str+'</div>' +
    '<div class="modal-footer">' +
    '	<button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>' +
    '</div>');
	
	$('.modal-content',$dialog).append($b);
	$dialog.modal();
}

function dialog(url,is_small){

	$("body select").css('visibility','hidden'); //mobile hack


	small_diag = is_small ? true : false;
	var $dialog = getBaseDialog(small_diag);
	
	var $b = $( 
	'<div class="modal-header">' +
	'	<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>' +
	'	<h4 class="modal-title">&nbsp;</h4>' +
	'</div>');
	

	$.get(url,function(data) {
		$('.modal-title',$b).html(    $('.modal-d-title',$(data)).html()       );
		$('.modal-content',$dialog).prepend($b).append(data);
		$dialog.modal();
	});
}
function confirm(str,yesFunc){
	var $dialog = getBaseDialog(1);
	
	var $b = $( 
	'<div class="modal-body">'+str+'</div>' +
    '<div class="modal-footer">' +
    '	<button id="okButton" type="button" class="btn btn-default">Ok</button>' +
    '	<button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>' +
    '</div>');
	
	$('#okButton',$b).on('click',yesFunc);
	$('.modal-content',$dialog).append($b);
	$dialog.modal();
}

function getBaseDialog(is_small){
	var l = !is_small ? ' modal-lg' : '';
	var $d = $(
	'<div class="modal" data-backdrop="static" tabindex="-1" role="dialog" aria-hidden="true">'+
	'<div class="modal-dialog'+l+'">' +
	'	<div class="modal-content" id="modal-content"></div>' +
	'</div></div>');
	return $d;
}
function closeDialog(){
	$('.modal').last().modal('hide');
}

function post(f,destId,funct){
	
	var $form = $(f);
	$form.find('button[type="submit"], .submit').attr('data-loading-text','<div class="btn-loader">&nbsp;</div>').button('loading');

	$.ajax({
		type: "POST",
		url: $form.attr('action'),
		data: $form.serialize(),
		success: function(data){
			if(destId)
				$('#'+destId).html(data);
			if(funct)
				funct(data);
			
			$form.find('button[type="submit"], .submit').button('reset');
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			alert(XMLHttpRequest.responseText);
		}
	});

	return false; 
}

function get(url,dest){
	$.get(url,function(data){$('#'+dest).html(data);});
}

function resetForm(id){
	$("#"+id)[0].reset();
}
function goto(url){
	window.location=url;
}
function reloadCaptcha(){
	$('#capimg').prop('src', '/captcha/?sid=' + Math.random());
	$('[name="captcha_code"]').val('');
}
