<?php
checkLogin('adm');
checkEnteService('bus');
include(ROOT."/includes/modules/servizi/functions.inc.php");

$grp_allowed = get_grp_allowed('bus','cong');

if(isset($_POST['save'])){

	//permesso scarico fermata
	add_grp_allowed('bus','cong',$_POST['grp_scarico'],$grp_allowed);

	printMsg('Impostazioni salvate con successo','success');
}

$p = new Page('Servizio Bus | Impostazioni');
$p->addJs('bootstrap-multiselect');
$p->addCss('bootstrap-multiselect');
$p->addMenu('logged');
$p->printHeader();
?>
<h3 class="p-title">Servizio Bus <small>Impostazioni</small></h3>
<div class="panel panel-default">
	<div class="panel-body">
        <form role="form" class="form-horizontal" action="./" onSubmit="return post(this,'f-result')">
        <div class="row">
        	<div class="col-sm-6">
                <div class="form-group">
                    <div class="form-subtitle"><h4>Permesso scarico alla fermata</h4></div>
                        <label class="control-label col-sm-12">Permetti lo scarico dei minori solo per le seguenti classi</label>
                        <div class="col-sm-12">
                        <select class="multiselect" name="grp_scarico[]" multiple size="5">
                            <?php
                                foreach(get_sottogruppi('bus') as $grp_id => $v){
                                    echo '<optgroup label="'.entities($v['name']).'">';
                                        foreach($v['sub'] as $sub_id => $sub_name){
											$sel = $grp_allowed[$sub_id] ? ' selected' : '';
                                            echo '<option value="'.$sub_id.'"'.$sel.'>'.entities($sub_name).'</option>';
										}
                                    echo '</optgroup>';
                                }
                            ?>
                        </select>
                    </div>
                 </div>
            </div>
		</div>
        
        <div id="f-result"></div>
        <div class="form-buttons">
            <button type="submit" class="btn btn-primary">Salva</button> 
            <button type="button" class="btn btn-default" onClick="history.back();">Indietro</button> 
        </div>
        <input type="hidden" name="save" value="1">
        </form>
    </div>
</div>
<script>
$(function(){
	$('.multiselect').multiselect({
		nonSelectedText: '- Nessuna selezione ',
		numberDisplayed: 0,
		nSelectedText: 'selezionati',
		buttonWidth:'100%'
	});
});
</script>
<?php
$p->printFooter();
?>